/*global define*/
define(['../../widgetitem'], function (WidgetView) {

    'use strict';

    return WidgetView.extend({

        objectType: '.Image',

        action: function () {
            /*global prompt*/
            var src = prompt('Image URL'),
                data = {
                    src: src,
                    title: 'some image',
                    objectType: '.Image'
                };
            if (!src) {
                return;
            }
            this.addContent(data);
        },

        dragStart: function (event) {
            event.originalEvent.dataTransfer.setData('div[data-view="column"]:not(:has([data-type]))', '');
            event.originalEvent.dataTransfer.setData('html', '');
        }

    });

});
